Bug 6531 - (int-149275) Extended IM contact info is not fetched for XMPP contacts
(int-149275)
: Extended IM contact info is not fetched for XMPP contacts
Status: RESOLVED FIXED
Product: Chat & Call & SMS
XMPP
: 5.0:(10.2010.19-1)
: N900 Linux
: Low normal with 1 vote (vote)
: Harmattan
Assigned To: rtcomm@maemo.org
: communication-bugs
: https://bugs.freedesktop.org/show_bug...
: upstream
:
:
  Show dependency tree
 
Reported: 2009-12-03 02:33 UTC by Alex Smirnoff
Modified: 2010-10-13 20:09 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Alex Smirnoff (reporter) 2009-12-03 02:33:56 UTC
SOFTWARE VERSION:
1.2009.42-11

EXACT STEPS LEADING TO PROBLEM: 
1. Make your IM account online (say, google talk)
2. Go to any server-based contact which provides additional information
(address, phone, whatever)

EXPECTED OUTCOME:
All contact data are fetched and displayed, so the contact card contains phone,
birthday, street address, comments etc.

ACTUAL OUTCOME:
Only contact picture, nickname and IM uid are there.

REPRODUCIBILITY:
(always, less than 1/10, 5/10, 9/10)

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1)
Gecko/20090621 Remi/fc6 Firefox/3.5 GTB6
Comment 1 Mikhail Zabaluev nokia 2009-12-03 13:45:10 UTC
The contact information retrieval is implemented on protocol-to-protocol basis,
so I'll narrow the scope of this bug to XMPP. If you need contact info for
other protocol, please file separate bugs.

The upstream bug is https://bugs.freedesktop.org/show_bug.cgi?id=20831
Comment 2 Andre Klapper maemo.org 2010-10-13 20:09:50 UTC
"ContactInfo was implemented in Gabble (for Harmattan, the version after
Maemo5)."
For Fremantle (=Maemo5) it is a WONTFIX.